<?php
session_start();
$protocol="http://";
$domain="artikel.beispiel.de";
$page="artikel.php";
$code_path="Codes";
$bilder_path="Bilder";
$dokumente_path="Dokumente";
$gfx_path="gfx";


$bilder_location = $protocol . $domain . "/" . $bilder_path ."/";
$dokumente_location = $protocol . $domain . "/" . $dokumente_path ."/";
$codes_location = $protocol . $domain . "/" . $code_path ."/";
$gfx_location = $protocol . $domain . "/" . $gfx_path ."/";

$mailserver = "smtp.beispiel.de";
$mailuser = "qrmail@beispiel.com";
$mailpasswd = "passwd";

$own_link_prefix = $protocol . $domain . "/" . $page;

ob_start();
echo '<style>';
include('adm.css');
echo '</style>';
echo '<center><div class="logout"';


$servername = "";
$username = "";
$dbpassword = "";
$db = "";
$admin_script='http://artikel.beispiel.de/adm/qradmin.php';

$conn = new mysqli($servername, $username, $dbpassword, $db);
if ($conn->connect_error) {
	echo "!!!!!!!!!!!!!!";
  	die("Connection failed: " . $conn->connect_error);
} else {
	if ( !isset($_POST['name'], $_POST['passwort']) ) {
		die('Bitte Name und Passwort ausfüllen');
	}
	$stmt = $conn->prepare( "SELECT id,user,pass,hidden from auth WHERE user=?"); 
	$stmt->bind_param("s", $_POST['name']);
	$stmt->execute();
	$result = $stmt->get_result();
	if ($result->num_rows > 0){
		$row = $result->fetch_assoc();
		if (password_verify($_POST['passwort'], $row['pass'])) {
			session_regenerate_id();
			$_SESSION['qr_loggedin'] = TRUE;
			$_SESSION['readonly'] = $row['hidden'];
			$_SESSION['name'] = $_POST['name'];
			$_SESSION['servername'] = $servername;
			$_SESSION['username'] = $username;
			$_SESSION['dbpassword'] = $dbpassword;
			$_SESSION['db'] = $db;
			$_SESSION['bilder_location'] = $bilder_location;
			$_SESSION['dokumente_location'] = $dokumente_location;
			$_SESSION['codes_location'] = $codes_location;
			$_SESSION['gfx_location'] = $gfx_location;
			$_SESSION['own_link'] = $own_link_prefix;
			$_SESSION['admin_script'] = $admin_script;
			$_SESSION['mailserver'] = $mailserver;
			$_SESSION['mailuser'] = $mailuser;
			$_SESSION['mailpasswd'] = $mailpasswd;

			$conn->close();
			ob_end_clean();
			header('Location: ' . $admin_script);
			exit();
		} else {
			echo "<h1>Benutzer/Passwort nicht korrekt</h1>";
			echo '<form action="login.php" method="post">
				<input type="submit" value="Zurück">
			</form>';
		} 		
	} else {
		echo "<h1>Benutzer unbekannt</h1>";
			echo '<form action="login.php" method="post">
				<input type="submit" value="Zurück">
			</form>';
	}
}
echo '</center></div>';
$conn->close();

?>
