<?php

function get_targetfile($ort,$filename){
    $ret = $filename;
    $ok = false;
    $path = dirname(__FILE__) . $ort; 
    while (!$ok){
        if (!file_exists($path . $filename)){
            $ret = $filename;
            $ok=true;
        }else{
            $filename = '_' . $filename;
        }
    }
    return $ret;
}


/*
 * 
 * Check if Artikelnummer exists
 * 
 */
function artikelnummer_exists($con,$art){
    $art = trim($art);
    if(strpos($art,' ') !== false){
        message('Die Artikelnummer darf keine Leerzeichen enthalten');
        return false;
    } else {
        $stmt = $con->prepare( "Select * from artikel where artikelnummer=?");
        $stmt->bind_param("s",$art);
        $stmt->execute();
        $result = $stmt->get_result();
        if($result->num_rows > 0){
            message('Die Artikelnummer <b>' . $art . '</b> existiert bereits und kann nicht neu angelegt werden');
            return true;                
        } else {
            return false;
        }
    }
    
} 



function message($message){
    echo '<div class="message_td">';
    echo $message;
    echo '</div>';
}

