-- phpMyAdmin SQL Dump
-- version 4.9.11
-- https://www.phpmyadmin.net/
--
-- Host: database-5016719296.webspace-host.com
-- Erstellungszeit: 23. Nov 2024 um 12:55
-- Server-Version: 10.11.7-MariaDB-log
-- PHP-Version: 7.4.33

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Datenbank: `dbs13531956`
--

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `artikel`
--

CREATE TABLE `artikel` (
  `id` int(10) UNSIGNED NOT NULL,
  `artikelnummer` varchar(256) NOT NULL DEFAULT '',
  `bezeichnung` varchar(256) NOT NULL DEFAULT '',
  `beschreibung` text NOT NULL,
  `erstellt` datetime NOT NULL DEFAULT current_timestamp(),
  `geaendert` datetime NOT NULL DEFAULT current_timestamp(),
  `erstellt_user` varchar(256) NOT NULL DEFAULT 'system',
  `geaendert_user` varchar(256) NOT NULL DEFAULT 'system',
  `online` tinyint(1) NOT NULL DEFAULT 1
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_german1_ci;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `auth`
--

CREATE TABLE `auth` (
  `id` int(10) UNSIGNED NOT NULL,
  `user` varchar(512) NOT NULL DEFAULT '',
  `pass` varchar(512) NOT NULL DEFAULT '',
  `hidden` int(11) NOT NULL DEFAULT 0,
  `email` text NOT NULL,
  `ackmail` text NOT NULL,
  `last` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_german1_ci;

--
-- Daten für Tabelle `auth`
--

INSERT INTO `auth` (`id`, `user`, `pass`, `hidden`, `email`, `ackmail`, `last`) VALUES
(1, 'admin', '$2y$10$YkG7Wl3XbreweR7M7wgLVedx/T7fr3Ueeoa8OAzxgKCYD.bhCJZM.', 0, '', '', NULL);

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `bilder`
--

CREATE TABLE `bilder` (
  `id` int(10) UNSIGNED NOT NULL,
  `artikel` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `titel` varchar(256) NOT NULL DEFAULT '',
  `file` varchar(256) NOT NULL DEFAULT '',
  `breite` double NOT NULL DEFAULT 300,
  `pos` int(11) NOT NULL DEFAULT 10,
  `hidden` int(11) NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_german1_ci;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `dokumente`
--

CREATE TABLE `dokumente` (
  `id` int(10) UNSIGNED NOT NULL,
  `artikel` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `titel` varchar(256) NOT NULL DEFAULT '',
  `file` varchar(256) NOT NULL DEFAULT '',
  `pos` int(11) NOT NULL DEFAULT 10,
  `hidden` int(11) NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_german1_ci;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `links`
--

CREATE TABLE `links` (
  `id` int(10) UNSIGNED NOT NULL,
  `artikel` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `titel` varchar(512) NOT NULL DEFAULT '',
  `link` varchar(512) NOT NULL DEFAULT '',
  `pos` int(11) NOT NULL DEFAULT 10
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_german1_ci;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `texte`
--

CREATE TABLE `texte` (
  `id` int(10) UNSIGNED NOT NULL,
  `artikel` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `titel` varchar(256) NOT NULL DEFAULT '',
  `inhalt` text NOT NULL,
  `pos` int(11) NOT NULL DEFAULT 10,
  `hidden` int(11) NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_german1_ci;

--
-- Indizes der exportierten Tabellen
--

--
-- Indizes für die Tabelle `artikel`
--
ALTER TABLE `artikel`
  ADD PRIMARY KEY (`id`),
  ADD KEY `idx2` (`bezeichnung`);

--
-- Indizes für die Tabelle `auth`
--
ALTER TABLE `auth`
  ADD UNIQUE KEY `idx1` (`id`);

--
-- Indizes für die Tabelle `bilder`
--
ALTER TABLE `bilder`
  ADD PRIMARY KEY (`id`),
  ADD KEY `idx2` (`titel`),
  ADD KEY `idx3` (`file`);

--
-- Indizes für die Tabelle `dokumente`
--
ALTER TABLE `dokumente`
  ADD PRIMARY KEY (`id`),
  ADD KEY `idx2` (`titel`),
  ADD KEY `idx3` (`file`);

--
-- Indizes für die Tabelle `links`
--
ALTER TABLE `links`
  ADD PRIMARY KEY (`id`),
  ADD KEY `idx2` (`titel`);

--
-- Indizes für die Tabelle `texte`
--
ALTER TABLE `texte`
  ADD PRIMARY KEY (`id`),
  ADD KEY `idx2` (`titel`);

--
-- AUTO_INCREMENT für exportierte Tabellen
--

--
-- AUTO_INCREMENT für Tabelle `artikel`
--
ALTER TABLE `artikel`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT für Tabelle `auth`
--
ALTER TABLE `auth`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT für Tabelle `bilder`
--
ALTER TABLE `bilder`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT für Tabelle `dokumente`
--
ALTER TABLE `dokumente`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT für Tabelle `links`
--
ALTER TABLE `links`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT für Tabelle `texte`
--
ALTER TABLE `texte`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
