<?php
include "support.php";

session_start();
$head='Rezeptbuch Pro QR 0.5/23.11.2024 Benutzer :';

echo '<style>';
include('adm.css');
echo '</style>';
echo '<center>';


function stamp($con,$art){
    $stmt = $con->prepare( "Update artikel set geaendert=now(),geaendert_user=? where id=?");
    $stmt->bind_param("si",$_SESSION['name'],$art);
    $stmt->execute();
}



function upload($con,$id,$oktype,$ort){
    $path = dirname(__FILE__) . $ort;
    if($_FILES['userfile']['name'] <> ''){
        if (in_array( $_FILES['userfile']['type'] , $oktype )){
            $stmt=null;
            $targetfile = get_targetfile($ort,$_FILES['userfile']['name']);
            move_uploaded_file($_FILES['userfile']['tmp_name'], $path .$targetfile);
            switch($ort){
                case '/../Bilder/': 
                    $stmt = $con->prepare( "INSERT into bilder (artikel,file) VALUES (?,?)");
                    $stmt->bind_param("is",$id,$targetfile);
                    break;
                case '/../Dokumente/':
                    $stmt = $con->prepare( "INSERT into dokumente (artikel,titel,file) VALUES (?,?,?)");
                    $stmt->bind_param("iss",$id,$_FILES['userfile']['name'],$targetfile,);
                    break;
            }
            $stmt->execute();
            stamp($con,$id);
        }else {
            message("Dateityp nicht erlaubt!");
        }
    }
}


function get_artikel($con,$id){
    if($id !== 0){
        $stmt = $con->prepare( "Select * from artikel where id=?");
        $stmt->bind_param("i",$id);
        $stmt->execute();
        $result = $stmt->get_result();
        if($result->num_rows > 0){
            return $result->fetch_assoc();
        }
    }
}

function show_artikel_head($con,$row){
        echo '<form action="edit.php#top_of_page" method="post">';
        echo '<table class="edit_bild">';
        echo '  <td>
                <input type="hidden" id="page" name="page" value="' .$_POST['page'] . '" />
                <input type="hidden" id="edit_artikelnummer" name="edit_artikelnummer" value="' . $row['artikelnummer'] . '" />
                <input type="hidden" id="edit_id" name="edit_id" value="' . $row['id'] . '" />
                <input type="hidden" id="artikel_id" name="artikel_id" value="' . $row['id'] . '" />
                <label for="artikel_bezeichnung">Bezeichnung :</label> 
                <input type="text" id="artikel_bezeichnung" name="artikel_bezeichnung" size="80" value="' . $row['bezeichnung'] . '" required />	            
                </td><tr><td>
                <table class="edit_bild"><tr><td>
                    <label for="artikel_beschreibung">Beschreibung :</label> 
                    <textarea cols="80" rows="10" id="artikel_beschreibung" name="artikel_beschreibung" value="' .$row['beschreibung']. '">' . $row['beschreibung'] .'</textarea>          
                </td><td>
                ' . get_code($row['artikelnummer']) . '
                </td></tr></table>
                </td></tr><tr><td>
                <input type="submit" id="save_artikel" name="save_artikel" value="Speichern">
                </td></td></tr>            
            </tr></table></form>';
    echo '<hr color="#ffffff" size="2" width="100%"';
}


function show_bilder($con,$row){
    echo '<a id="bilder-link"></a>';
    $path = $_SESSION['bilder_location'];
    $stmt = $con->prepare( "Select * from bilder where artikel=? order by pos asc");
    $stmt->bind_param("i",$row['id']);
    $stmt->execute();
    $result = $stmt->get_result();
    if ($result->num_rows > 0) {
        $header = true;
        echo '<table class="edit_bild"><tr>';
        while($brow = $result->fetch_assoc()) {
            echo '<td><form action="edit.php#bilder-link" method="post">';
            echo '<table class="edit_bild"><tr>';
                if($header){
                    echo '<tr><td><h3>Position</h3></td><td><h3>Bild</h3></td><td><h3>Titel</h3></td><td><h3>Nur Lesen</h3></td><td><h3>Breite in Pixel</h3></td><td><h3>Speichern</h3></td><td><h3>Entfernen</h3></td></tr>';
                }
                $header = false;
                $bild = '<img src="' . $path .$brow['file'] .'" width=50><br>';
                echo '
                <input type="hidden" id="page" name="page" value="' .$_POST['page'] . '" />
                <input type="hidden" id="edit_artikelnummer" name="edit_artikelnummer" value="' . $row['artikelnummer'] . '" />
                <input type="hidden" id="edit_id" name="edit_id" value="' . $row['id'] . '" />
                <input type="hidden" id="bild_id" name="bild_id" value="' . $brow['id'] . '" />
                <input type="hidden" id="r_bild_id" name="r_bild_id" value="' . $brow['id'] . '" />
                <input type="hidden" id="bild_file" name="bild_file" value="' . $brow['file'] . '" />
                <input type="hidden" id="page" name="page" value="' .$_POST['page'] . '" />
                <td><input type="number" id="pos" name="pos" name="breite" style="width: 5em;" min="1" max="100" value="' .$brow['pos'] . '"/></td>
                <td><a href="' .  $path .$brow['file'] .'" target="_blank">' . $bild . '</a></td>              
                <td><input style="display: table-cell;" type="text" size="50" name="titel"  value="' . $brow['titel'] . '"><br>' . $brow['file'] . '</td>';

                echo '<td>';
                
                if($brow['hidden']){
                    echo '<input type="checkbox"  onChange="this.form.submit()" name="readonly_bild" id="readonly_bild" value="' . $brow['hidden'] .'" checked/>';
                } else {
                    echo '<input type="checkbox"  onChange="this.form.submit()" name="readonly_bild" id="readonly_bild" value="' . $brow['hidden'] .'"/>';
                }
                
                echo '</td>';
                echo '<td>  <input type="hidden" id="page" name="page" value="' .$_POST['page'] . '" /> <input type="number" id="breite" name="breite" style="width: 5em;" min="100" max="1000" value="' .$brow['breite'] . '"/></td>
                <td><input type="submit" id="save_bild" name="save_bild" value="Speichern"></td>
                <td><table width="100px"><tr><td id="delete_checkbox"> 
                    <input type="checkbox"  id="delete_checkbox" name="really" value="1" /></td><td>
                    <input type="submit" id="delete_bild_button" name="delete_bild_button" value="Entfernen" id="delete_bild_id_button">
                </td></tr></table> 
                </tr></table></form>';
            echo '</tr>';
        }
        echo '</table>';
    }
    echo '<table class="edit_bild"><tr><td>';
    echo '<form action="edit.php#bilder-link" method="post" class="upload_paragraf"  enctype="multipart/form-data">
            <input type="hidden" id="page" name="page" value="' .$_POST['page'] . '" />
            <input type="hidden" id="edit_artikelnummer" name="edit_artikelnummer" value="' . $row['artikelnummer'] . '" />
            <input type="hidden" id="edit_id" name="edit_id" value="' . $row['id'] . '" />
            <input type="hidden" id="add_image" name="add_image" value="' . $row['id'] . '" />
            Diese Datei hochladen: <input name="userfile" type="file" />
            <input type="submit" id="submit_2" value="Bild hinzufügen (JPG/PNG)" />
          </form>';
    echo '</td></tr></table>';
    echo '<hr color="#ffffff" size="2" width="100%"';    
}


function show_texts($con,$row){
    echo '<a id="text-link"></a>';
    $stmt = $con->prepare( "Select * from texte where artikel=? order by pos asc");
    $stmt->bind_param("i",$row['id']);
    $stmt->execute();
    $result = $stmt->get_result();
    if ($result->num_rows > 0) {
        $header = true;
        echo '<table class="edit_bild"><tr>';
        while($brow = $result->fetch_assoc()) {  
            echo '<td><form action="edit.php#bilder-link" method="post">';
            echo '<table class="edit_bild"><tr>';
            if($header){
                echo '<td><h3>Position</h3></td><td><h3>Überschrift</h3></td><td><h3>Text</h3></td><td><h3>Nur Lesen</h3></td><td><h3>Speichern</h3></td><td><h3>Entfernen</h3></td></tr>';
            }
            $header=false;
            echo '  <input type="hidden" id="page" name="page" value="' .$_POST['page'] . '" />
                    <input type="hidden" id="edit_artikelnummer" name="edit_artikelnummer" value="' . $row['artikelnummer'] . '" />
                    <input type="hidden" id="edit_id" name="edit_id" value="' . $row['id'] . '" />
                    <input type="hidden" id="text_id" name="text_id" value="' . $brow['id'] . '" />
                    <input type="hidden" id="text_id" name="r_text_id" value="' . $brow['id'] . '" />
                    <td><input type="number" id="pos" name="pos" style="width: 5em;" min="1" max="100" value="' .$brow['pos'] . '"/></td>
                    <td><input type="text" size="50" id="titel" name="titel"  value="' . $brow['titel'] . '" required></td>
                    <td><textarea cols="50" rows="10" id="inhalt" name="inhalt" value="' .$brow['inhalt']. '" >' . $brow['inhalt'] .'</textarea></td>';
                    
                    echo '<td>';
                    if($brow['hidden']){
                        echo '<input type="checkbox"  onChange="this.form.submit()" name="readonly_text" id="readonly_text" value="' . $brow['hidden'] .'" checked/>';
                    } else {
                        echo '<input type="checkbox"  onChange="this.form.submit()" name="readonly_text" id="readonly_text" value="' . $brow['hidden'] .'"/>';
                    }
                    echo '</td>';
                    
                    echo '<td><input type="submit" id="save_text" name="save_text" value="Speichern"></td>
                    <td><table width="100px"><tr><td id="delete_checkbox">
                        <input type="checkbox"  id="delete_checkbox" name="really" value="1" /></td><td>
                        <input type="submit"  id="delete_text_button" name="delete_text_button" value="Entfernen" id="delete_text_button">
                    </td></tr></table>
                    </tr></table></form>';
            echo '</tr>'; 
        } 
        echo '</table>';
    }
    
    echo '<table class="edit_bild"><tr><td>';
    echo '<form action="edit.php#text-link" method="post" class="upload_paragraf">
            <input type="hidden" id="page" name="page" value="' .$_POST['page'] . '" />
            <input type="hidden" id="edit_artikelnummer" name="edit_artikelnummer" value="' . $row['artikelnummer'] . '" />
            <input type="hidden" id="edit_id" name="edit_id" value="' . $row['id'] . '" />
            <input type="hidden" id="add_text" name="add_text" value="' . $row['id'] . '" />
            <label for="titel">
			      Titel :
		    </label>
            <input type="text" size="57" id="titel" name="titel" required>
            <input type="submit"  id="submit_2" value="Text hinzufügen" />
          </form>';
    echo '</td></tr></table>';
    echo '<hr color="#ffffff" size="2" width="100%';
}

function show_links($con,$row){
    echo '<p id="dok-link"></p>';
    $stmt = $con->prepare( "Select * from links where artikel=? order by pos asc");
    $stmt->bind_param("i",$row['id']);
    $stmt->execute();
    $result = $stmt->get_result();
    if ($result->num_rows > 0) {
        $header=true;
        echo '<table class="edit_bild"><tr>';
        while($brow = $result->fetch_assoc()) {  
            echo '<td><form action="edit.php#dok-link" method="post">';
            echo '<table class="edit_bild"><tr>';        
            if($header){
                echo '<td><h3>Position</h3></td><td></td><td><h3>Titel</h3></td><td><h3>Link</h3></td><td><h3>Speichern</h3></td><td><h3>Entfernen</h3></td><tr>';
            }
            $header=false;
                echo '  <input type="hidden" id="page" name="page" value="' .$_POST['page'] . '" /> 
                        <input type="hidden" id="edit_artikelnummer" name="edit_artikelnummer" value="' . $row['artikelnummer'] . '" />
                        <input type="hidden" id="edit_id" name="edit_id" value="' . $row['id'] . '" />
                        <input type="hidden" id="link_id" name="link_id" value="' . $brow['id'] . '" />
                        <td><input type="number" id="pos" name="pos" style="width: 5em;" min="1" max="100" value="' .$brow['pos'] . '"/></td>
                        <td><a href="'. $brow['link'] . '" target="_blank"><img src="' . $_SESSION['gfx_location'] . 'link.png" width=20 ></a></td>
                        <td><input type="text" size="50" name="titel" id="titel"  value="' . $brow['titel'] . '" required></td>
                        <td><input type="text" size="50" id="link" name="link"  value="' . $brow['link'] . '" required></td>
                        <td><input type="submit" id="save_link" name="save_link" value="Speichern"></td>
                        <td><table width="100px"><tr><td id="delete_checkbox">
                                <input type="checkbox"  id="delete_checkbox" name="really" value="1" /></td><td>
                                <input type="submit" id="delete_link_button" name="delete_link_button" value="Entfernen" id="delete_text_button">
                         </td></tr></table>
                    </tr></table></form>';
            echo '</tr>';
        }
        echo '</table>';
    }
    echo '<table class="edit_bild"><tr><td>';
    echo '<form action="edit.php#dok-link" method="post" class="upload_paragraf">
            <input type="hidden" id="page" name="page" value="' .$_POST['page'] . '" />
            <input type="hidden" id="edit_artikelnummer" name="edit_artikelnummer" value="' . $row['artikelnummer'] . '" />
            <input type="hidden" id="edit_id" name="edit_id" value="' . $row['id'] . '" />
            <input type="hidden" id="add_link" name="add_link" value="' . $row['id'] . '" />
            <label for="titel">
			      Titel :
		    </label>
            <input type="text" size="23" id="titel" name="titel" required>
            <label for="link">
			      Link :
		    </label>
            <input type="text" size="27" id="link" name="link" required>
            <input type="submit" id="submit_2" value="Link hinzufügen" />
          </form>';
    echo '</td></tr></table>';
    echo '<hr color="#ffffff" size="2" width="100%"';
}

function show_dokumente($con,$row){
    echo '<p id="dok-link"></p>';
    $path = $_SESSION['bilder_location'];
    $stmt = $con->prepare( "Select * from dokumente where artikel=? order by pos asc");
    $stmt->bind_param("i",$row['id']);
    $stmt->execute();
    $result = $stmt->get_result();
    if ($result->num_rows > 0) {
        $header = true;
        echo '<table class="edit_bild">';
        while($brow = $result->fetch_assoc()) {
            echo '<td><form action="edit.php#dok-link" method="post">';
            echo '<table class="edit_bild"><tr>';    
            if($header){
                echo '<tr><td><h3>Position</h3></td><td><h3>Titel</h3></td><td><h3>Datei</h3><td><h3>Nur lesen</h3></td></td><td><h3>Speichern</h3></td><td><h3>Entfernen</h3></td></tr><tr>';
            }
            $header=false;
            echo '<input type="hidden" id="edit_artikelnummer" name="edit_artikelnummer" value="' . $row['artikelnummer'] . '" />
                  <input type="hidden" id="edit_id" name="edit_id" value="' . $row['id'] . '" />
                  <input type="hidden" id="dok_id" name="dok_id" value="' . $brow['id'] . '" />
                  <input type="hidden" id="r_dok_id" name="r_dok_id" value="' . $brow['id'] . '" />
                  <td><input type="number" id="pos" name="pos" style="width: 5em;" min="1" max="100" value="' .$brow['pos'] . '"/></td>
                  <td><input type="text" size="50" name="titel"  value="' . $brow['titel'] . '"></td>
                  <td><input type="text" size="50" name="file" id="file" value="' . $brow['file'] . '" readonly></td>';
                  echo '<td>';
                    if($brow['hidden']){
                        echo '<input type="checkbox"  onChange="this.form.submit()" name="readonly_dok" id="readonly_dok" value="' . $brow['hidden'] .'" checked/>';
                    } else {
                        echo '<input type="checkbox"  onChange="this.form.submit()" name="readonly_dok" id="readonly_dok" value="' . $brow['hidden'] .'"/>';
                    }
                    echo '</td>';
                  echo '<td><input type="submit" id="save_button" name="save_dok" value="Speichern"></td>
                  <td><table width="100px"><tr><td id="delete_checkbox">
                    <input type="checkbox"  id="delete_checkbox" name="really" value="1" /></td><td>
                    <input type="submit" id="delete_dok_button" name="delete_dok_button" value="Entfernen" id="delete_dok_button">
                  </td></tr></table>
                  </tr></table></form>';
            echo '</tr>';
        }
        echo '</table>';
    }
    echo '<table class="edit_bild"> <tr><td>';
    echo '<form action="edit.php#dok-link" method="post" class="upload_paragraf"  enctype="multipart/form-data">
            <input type="hidden" id="edit_artikelnummer" name="edit_artikelnummer" value="' . $row['artikelnummer'] . '" />
            <input type="hidden" id="edit_id" name="edit_id" value="' . $row['id'] . '" />
            <input type="hidden" id="add_dok" name="add_dok" value="' . $row['id'] . '" />
            Diese Datei hochladen: <input name="userfile" type="file" />
            <input type="submit" id="submit_2" value="PDF-Dokument hinzufügen" />
          </form>';
    echo '</td></tr></table>';
    echo '<hr color="#ffffff" size="2" width="100%"';
}
function get_code($art){
    $ret = '<table class="code_paragraf"><tr><td>';
        $my_own_link = $_SESSION['own_link'] . '?art=' . $art;
        $filename=$_SESSION['codes_location'] . '/' . $art . '.png';
    $ret .= '<br><a href="'. $my_own_link . '" target="_blank"><br><img src="' . $filename . '" width="150"><br><br>' . $my_own_link . '</a><br>';;
    $ret .=  '</td></tr></table>';
    return $ret;
}

function save_artikel($con,$id,$bezeichnung,$beschreibung){
    $stmt = $con->prepare( "UPDATE artikel set bezeichnung=?,beschreibung=? where id=?");
    $stmt->bind_param("ssi",trim($bezeichnung),trim($beschreibung),$id);
    $stmt->execute();
    stamp($con,$id);
}



function save_bild($con,$bid,$pos,$titel,$breite,$art){
    $stmt = $con->prepare( "UPDATE bilder set pos=?, titel=?, breite=? where id=?");
    $stmt->bind_param("isii",$pos,$titel,$breite,$bid);
    $stmt->execute();
    stamp($con,$art);
}


function delete_bild($con,$id,$file,$art){
    $stmt = $con->prepare( "DELETE from bilder where id=?");
    $stmt->bind_param("i",$id);
    $stmt->execute();
    $path = dirname(__FILE__) . '/../Bilder/';
    $targetfile = $path .$file;
    unlink($targetfile);
    stamp($con,$art);
}

function save_text($con,$id,$pos,$titel,$inhalt,$art){
    $stmt = $con->prepare( "UPDATE texte set pos=?,titel=?,inhalt=? where id=?");
    $stmt->bind_param("issi",$pos,$titel,$inhalt,$id);
    $stmt->execute();
    stamp($con,$art);
}


function add_text($con,$id,$titel,$art){
    $stmt = $con->prepare( "INSERT into texte (artikel,titel) values (?,?)");
    $stmt->bind_param("is",$id,trim($titel));
    $stmt->execute();
    stamp($con,$art);
}

function delete_text($con,$id,$art){
    $stmt = $con->prepare( "DELETE from texte where id=?");
    $stmt->bind_param("i",$id);
    $stmt->execute();
    stamp($con,$art);
}

function add_link($con,$id,$titel,$link,$art){
    $stmt = $con->prepare( "INSERT into links (artikel,titel,link) values (?,?,?)");
    $stmt->bind_param("iss",$id,trim($titel),trim($link));
    $stmt->execute();
    stamp($con,$art);
}

function save_link($con,$id,$pos,$titel,$link,$art){
    $stmt = $con->prepare( "UPDATE links set pos=?,titel=?,link=? where id=?");
    $stmt->bind_param("issi",$pos,$titel,$link,$id);
    $stmt->execute();
    stamp($con,$art);
}

function delete_link($con,$id,$art){
    $stmt = $con->prepare( "DELETE from links where id=?");
    $stmt->bind_param("i",$id);
    $stmt->execute();
    stamp($con,$art);
}
function save_dok($con,$id,$pos,$titel,$art){
    $stmt = $con->prepare( "UPDATE dokumente set pos=?, titel=? where id=?");
    $stmt->bind_param("isi",$pos,$titel,$id);
    $stmt->execute();
    stamp($con,$art);
}

function delete_dok($con,$id,$file,$art){
    $stmt = $con->prepare( "DELETE from dokumente where id=?");
    $stmt->bind_param("i",$id);
    $stmt->execute();
    $path = dirname(__FILE__) . '/../Dokumente/';
    $targetfile = $path .$file;
    unlink($targetfile);
    stamp($con,$art);
}

function readonly_bild($con,$id,$readonly){
    $stmt = $con->prepare( "update bilder set hidden=? where id=?");
    $stmt->bind_param("ii",$readonly,$id);
    $stmt->execute();	
}
function readonly_dok($con,$id,$readonly){
    $stmt = $con->prepare( "update dokumente set hidden=? where id=?");
    $stmt->bind_param("ii",$readonly,$id);
    $stmt->execute();	
}
function readonly_text($con,$id,$readonly){
    $stmt = $con->prepare( "update texte set hidden=? where id=?");
    $stmt->bind_param("ii",$readonly,$id);
    $stmt->execute();	
}

function get_nav_link_prev($con,$id,$p){
    $ret = '<font color="white"> ';
    $stmt = $con->prepare( "SELECT * from artikel WHERE id<? order by id desc limit 1");
    $stmt->bind_param("i",$id);
    $stmt->execute();
    $result = $stmt->get_result();
    if ($result->num_rows > 0) {
        if($row = $result->fetch_assoc()) {  
             $ret = $ret . 

             '<form action="edit.php" method="post">
							<input type="hidden" id="edit_id" name="edit_id" value="' . $row['id'] . '" />
							<input type="hidden" id="page" name="page" value="' . $p . '" />
							<input type="hidden" id="edit_id" name="edit_artikelnummer" value="' . $row['artikelnummer'] . '" />
							<input type="submit" name="edit" value="<-- ' .$row['artikelnummer'] .':' . $row['bezeichnung'] .   ' Bearbeiten">
						</form></td>' .
             
             '&nbsp;';
        }
    }
    return $ret . '</font>';
}

function get_nav_link_next($con,$id,$p){
  $ret = '<font color="white"> ';
    $stmt = $con->prepare( "SELECT * from artikel WHERE id>? order by id asc limit 1");
    $stmt->bind_param("i",$id);
    $stmt->execute();
    $result = $stmt->get_result();
    if ($result->num_rows > 0) {
        if($row = $result->fetch_assoc()) {  
             $ret = $ret . 

             '<form action="edit.php" method="post">
							<input type="hidden" id="edit_id" name="edit_id" value="' . $row['id'] . '" />
							<input type="hidden" id="page" name="page" value="' . $p . '" />
							<input type="hidden" id="edit_id" name="edit_artikelnummer" value="' . $row['artikelnummer'] . '" />
							<input type="submit" name="edit" value="' .$row['artikelnummer']  .':' . $row['bezeichnung'] .   ' Bearbeiten -->">
						</form></td>' .
             
             '&nbsp;';
        }
    }
    return $ret . '</font>';
}


/*---------------------------------------------------------------------------------
 * 
 * 
 * 
 * 
 * 
 * 
 * 
 * 
 * 
 * ---------------------------------------------------------------------------------
 */

if (isset($_SESSION['qr_loggedin']) && isset($_SESSION['name'])){
    $conn = new mysqli($_SESSION['servername'],$_SESSION['username'],$_SESSION['dbpassword'],$_SESSION['db']);
    if ($conn->connect_error) {
        die("Connection failed: " . $conn->connect_error);
    }
    $prev = get_nav_link_prev($conn,$_POST['edit_id'],$_POST['page']);
    $next = get_nav_link_next($conn,$_POST['edit_id'],$_POST['page']);
    echo '<p id="top_of_page"></p>';
    echo '<div class="search">';
    echo '<table><tr><td><h1>' . $head . $_SESSION['name'] . '</td><td>
			<form action="logout.php" method="post">
				<input type="submit" value="Abmelden">
			</form>
		</div></td>
        <td>
            <form class = "back_to_admin" onClick="window.close();" method="post">
		      <input type="hidden" id="suche" name="suche" value="' .'.*' . '" />
              <input type="hidden" id="page" name="page" value="' .$_POST['page'] . '" />
	          <input type="submit" value="Bearbeitung schliessen">
            </form>
        </td></tr>
        <tr><td>' . $prev . '</td></tr><tr><td>' . $next .'</td></tr></table>';
    echo '<hr color="#ffffff" size="2" width="100%" >';
       #<input type="hidden" id="suche" name="suche" value="' . $_POST['edit_artikelnummer'] . '" />
    /*
     * 
     * Funktionen
     */
     if(isset($_POST['save_bild'])){
        save_bild($conn, $_POST['bild_id'],$_POST['pos'],$_POST['titel'],$_POST['breite'],$_POST['edit_id']);
        unset($_POST['save_bild']);
        unset($_POST['pos']);
        unset($_POST['titel']);
        unset($_POST['breite']);
    }
    
    if(isset($_POST['save_text'])){
        save_text($conn, $_POST['text_id'],$_POST['pos'],$_POST['titel'],$_POST['inhalt'],$_POST['edit_id']);
        unset($_POST['save_text']);
        unset($_POST['pos']);
        unset($_POST['titel']);
        unset($_POST['inhalt']);
                        
    }
        
    if(isset($_POST['save_link'])){
        save_link($conn, $_POST['link_id'],$_POST['pos'],$_POST['titel'],$_POST['link'],$_POST['edit_id']);
        unset($_POST['save_link']);
        unset($_POST['pos']);
        unset($_POST['titel']);
        unset($_POST['link']);
    }
  
    if(isset($_POST['add_image']) && isset($_POST['edit_id'])){
        upload($conn,$_POST['edit_id'], array("image/png", "image/jpeg"),'/../Bilder/');
        unset($_POST['add_image']);
    }
    
    if(isset($_POST['add_text']) && isset($_POST['edit_id'])){
        add_text($conn,$_POST['edit_id'],$_POST['titel'],$_POST['edit_id']);
        unset($_POST['add_text']);
    }
    
    if(isset($_POST['add_link']) && isset($_POST['edit_id'])){
        add_link($conn,$_POST['edit_id'],$_POST['titel'],$_POST['link'],$_POST['edit_id']);
        unset($_POST['add_link']);
    }
    
   if(isset($_POST['save_dok'])){
       save_dok($conn, $_POST['dok_id'],$_POST['pos'],$_POST['titel'],$_POST['edit_id']);
        unset($_POST['save_dok']);
        unset($_POST['pos']);
        unset($_POST['titel']);
    }
    
    if(isset($_POST['add_dok']) && isset($_POST['edit_id'])){
        upload($conn,$_POST['edit_id'], array("application/pdf"),'/../Dokumente/');
        unset($_POST['add_dok']);
    }
    
    if(isset($_POST['save_dok_titel'])){
        save_dok_titel($conn, $_POST['dok_id'],$_POST['titel'],$_POST['edit_id']);
        unset($_POST['titel']);
    }
    /*
     * 
     * Löschen
     */
    if(isset($_POST['really']) && isset($_POST['delete_text_button'])){
        delete_text($conn,  $_POST['text_id'],$_POST['edit_id']);
        unset($_POST['treally']);
        unset($_POST['delete_text_button']);
    }
    
    if(isset($_POST['really']) && isset($_POST['delete_link_button'])){
        delete_link($conn,  $_POST['link_id'],$_POST['edit_id']);
        unset($_POST['really']);
        unset($_POST['delete_link_button']);
    }
    
    if(isset($_POST['really']) && isset($_POST['delete_bild_button'])){
        delete_bild($conn,  $_POST['bild_id'], $_POST['bild_file'],$_POST['edit_id']);
        unset($_POST['really']);
        unset($_POST['delete_bild_button']);
    }
    
    if(isset($_POST['really']) && isset($_POST['delete_dok_button'])){
        delete_dok($conn,  $_POST['dok_id'], $_POST['file'],$_POST['edit_id']);
        unset($_POST['really']);
        unset($_POST['delete_dok_button']);
        unset($_POST['dok_file']);
    }
    
    if(isset($_POST['save_artikel'])){
        save_artikel($conn,$_POST['edit_id'],$_POST['artikel_bezeichnung'],$_POST['artikel_beschreibung']);
        unset($_POST['save_artikel']);
        unset($_POST['artikel_bezeichnung']);
        unset($_POST['artikel_beschreibung']);
    }
    
    if(isset($_POST['save_artikel_beschreibung'])){
        save_artikel_beschreibung($conn,$_POST['edit_id'],$_POST['artikel_beschreibung']);
        unset($_POST['save_artikel_beschreibung']);
        unset($_POST['artikel_beschreibung']);

    }
    
    if(isset($_POST['r_bild_id'])){
        readonly_bild($conn,$_POST['bild_id'],isset($_POST['readonly_bild'])?1:0);
        unset ($_POST['readonly_bild']);
        unset ($_POST['r_bild_id']);
    }
    if(isset($_POST['r_dok_id'])){
        readonly_dok($conn,$_POST['dok_id'],isset($_POST['readonly_dok'])?1:0);
        unset ($_POST['readonly_dok']);
        unset ($_POST['r_dok_id']);
    }
    if(isset($_POST['r_text_id'])){
        readonly_text($conn,$_POST['text_id'],isset($_POST['readonly_text'])?1:0);
        unset ($_POST['readonly_text']);
        unset ($_POST['r_text_id']);
    }
    
  
    
    
    if(isset($_POST['edit_id'])){
            $row = get_artikel($conn, $_POST['edit_id']);
            echo '<h1> Artikel Nr: <a href="' . $_SESSION['own_link'] . '?art=' . $row['artikelnummer'] .'" target="_blank" id="top_link">' . $row['artikelnummer'] . '</a> ' . $row['bezeichnung'] . ' bearbeiten</h1><br>';
            if(!$row['online']){
                echo '<div id="warnung">Artikel ist offline!</div>';
            }
            echo '<table class="edit_table_main"><tr><td>';
                show_artikel_head($conn, $row);
                echo '</td><tr><td>';
                show_bilder($conn, $row);
                echo '</tr></td><tr><td>';
                show_texts($conn, $row);
                echo '</tr></td><tr><td>';
                show_links($conn, $row);
                echo '</tr></td><tr><td>';
                show_dokumente($conn, $row);
            echo '</td></tr></table>';
            echo '
                <form class = "back_to_admin" action="qradmin.php" method="post">
                    <input type="hidden" id="suche" name="suche" value="' .'.*' . '" />
                    <input type="hidden" id="page" name="page" value="' .$_POST['page'] . '" />
                    <input type="submit" value="Zurück zur Übersicht">
                </form> ';
        
    }
    
    
    
    echo '</center>';
    $conn->close();
}
?>
