<?php
include "support.php";
session_start();
$head='Rezeptbuch Pro QR Benutzer :';

echo '<style>';
include('adm.css');
echo '</style>';
echo '<center>';

/*
 * user_exists?
 * 
 */
function user_exists($con,$user){
    $ret=0;
    $stmt = $con->prepare( "Select * from auth where user=?");
    $stmt->bind_param("s",$user);
    $stmt->execute();
    $result = $stmt->get_result();
    if ($result->num_rows > 0) {
        if($row = $result->fetch_assoc()) {
            $ret = $row['id'];
        }
    }
    return $ret;
}
function create_user($con,$username,$passwort){
    $stmt = $con->prepare( "INSERT INTO auth (user,pass) VALUES (?,?)");
    $stmt->bind_param("ss",trim($username),trim(password_hash($passwort, PASSWORD_DEFAULT)));
    $stmt->execute();
}

function set_password($con,$id,$passwort){
    $stmt = $con->prepare( "UPDATE auth set pass=? where  id=?");
    $stmt->bind_param("si",trim(password_hash($passwort, PASSWORD_DEFAULT)),$id);
    $stmt->execute();
}

function delete_user($con,$user_id){
    $stmt = $con->prepare( "delete from auth where id=?");
    $stmt->bind_param("i",$user_id);
    $stmt->execute();
}

function save_email($con,$user_id,$mail,$ackmail){
    $stmt = $con->prepare( "UPDATE  auth set email=?, ackmail=? where id=?");
    $stmt->bind_param("ssi",$mail,$ackmail,$user_id);
    $stmt->execute();
}

/*
 * benutzer anzeigen
 */
function get_user($con){
    $stmt = $con->prepare( "Select * from auth order by user");
    $stmt->execute();
    $result = $stmt->get_result();
    if ($result->num_rows > 0) {
        echo '<table class="edit_user">';
        $header = true;
        while($row = $result->fetch_assoc()) {
            echo '<td><form action="user.php" method="post">';
            echo '<table class="edit_user">';    
            if($header){
                echo '<tr><td><h3>Benutzername</h3></td><td><h3>E-Mail Adresse</h3></td><td><h3>Antwortadresse</h3></td><td></td><td><h3>Entfernen</h3></td></tr>';
            }
            $header=false;
            echo '<tr>';
            echo    '<input type="hidden" id="user_id" name="user_id" value="' . $row['id'] . '"/>
                    <td><input readonly type="text" size="20" name="titel"  value="' . $row['user'] . '"></td>
                    <td><input type="text" size="30" name="email"  value="' . $row['email'] . '"></td>
                    <td><input type="text" size="30" name="ackmail"  value="' . $row['ackmail'] . '"></td>
                    <td class="bearbeiten_td"><input type="submit" id="save_mail" name="save_mail" value="Speichern"></td>
                    <td>';
                    if($row['user'] != 'admin' && $row['user'] != $_SESSION['name']){
                        if($row['hidden']){
                            echo '<input type="checkbox"  onChange="this.form.submit()" name="readonly_checkbox" id="readonly_checkbox" value="' . $row['hidden'] .'" checked/></td><td>';
                        } else {
                            echo '<input type="checkbox"  onChange="this.form.submit()" name="readonly_checkbox" id="readonly_checkbox" value="' . $row['hidden'] .'"/></td><td>';
                        }
                        echo '<label for="readonly_checkbox">Nur Lesen erlaubt</label>';
                        
                    }
                    if($row['user'] != 'admin' && $row['user'] != $_SESSION['name']){
                            echo '<td><table width="100px"><tr>
                                <td id="delete_checkbox">
                                    <input type="checkbox"  id="delete_checkbox" name="really" value="1" /></td><td>
                                    <input type="submit" id="delete_dok_button" name="delete_user" value="Entfernen">
                                </td></tr></table>';
                        } else {
                            echo '<td></td>';
                    }
            echo '</tr></table></form>';
            echo '</tr>';
        }
        echo '</table>';
    }
}

function readonly($con,$id,$readonly){
    $stmt = $con->prepare( "update auth set hidden=? where id=?");
    $stmt->bind_param("ii",$readonly,$id);
    $stmt->execute();	
}

if (isset($_SESSION['qr_loggedin']) && isset($_SESSION['name'])){
    $conn = new mysqli($_SESSION['servername'],$_SESSION['username'],$_SESSION['dbpassword'],$_SESSION['db']);
    if ($conn->connect_error) {
        die("Connection failed: " . $conn->connect_error);
    }
    echo '<p id="top_of_page"></p>';
    echo '<div class="search">';
    echo '<table><tr><td><h1>' . $head . $_SESSION['name'] . '</td><td>
			<form action="logout.php" method="post">
				<input type="submit" value="Abmelden">
			</form>
		</div></td>
        <td>
            <form class = "back_to_admin" action="qradmin.php" method="post">
		      <input type="hidden" id="suche" name="suche" value="' . $_POST['edit_artikelnummer'] . '" />
	          <input type="submit" value="Zurück zur Übersicht">
        </form>
        </td></tr>
        </table>';
    echo '<hr color="#ffffff" size="2" width="100%" >';
    echo '
        <table class="search"><tr>  
            <td><form action="user.php" method="post">
            <input type="text" name="username" placeholder="Benutzername" required>
            <input type="password" name="passwort1" placeholder="Passwort" required>
            <input type="password" name="passwort2" placeholder="Wiederholen" required>
			<input type="submit" value="Neu Anlegen/Passwort ändern">
            </form></td>
        </tr></table>';	
	echo '<hr color="#ffffff" size="2" width="100%" >';
	echo '<table class="user_table_main"><tr><td>';
    if( isset($_POST['username']) && isset($_POST['passwort1']) && isset($_POST['passwort2'])){
        $user=trim($_POST['username']);
        $pw1=trim($_POST['passwort1']);
        $pw2=trim($_POST['passwort2']);
        if($pw1 == $pw2){
            $id = user_exists($conn,$user);
            if($id > 0){
                set_password($conn,$id,$pw1);
                message($user .' Passwort geändert');
            } else {
                create_user($conn,$user,$pw1);
            }
        }else {
            message('Passworte sind nicht gleich');
        }
    }
    if( isset($_POST['user_id']) && isset($_POST['delete_user']) && isset($_POST['really'])){
        delete_user($conn,$_POST['user_id']);
        unset($_POST['really']);
        unset($_POST['delete_user']);
        unset($_POST['user_id']);
    }
    if(isset($_POST['user_id'])){
        readonly($conn,$_POST['user_id'],isset($_POST['readonly_checkbox'])?1:0);
        if(isset($_POST['save_mail'])){
            save_email($conn,$_POST['user_id'],$_POST['email'],$_POST['ackmail']);
            unset($_POST['email']);
        } 
        unset ($_POST['user_id']);
    }
    
    
    get_user($conn);
    echo '</table>';
}
 
echo '</center>'; 
?>
